Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QDropEvent

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.core.QEvent
                      com.trolltech.qt.gui.QDropEvent

All Implemented Interfaces:
  QtJambiInterface

Direct Known Subclasses:
  QDragMoveEvent

    public class QDropEvent

extends QEvent

The QDropEvent class provides an event which is sent when a drag and drop action is completed. When a widget `accepts drop events`, it will receive this event if it has accepted the most recent `QDragEnterEvent` or `QDragMoveEvent` sent to it.

The drop event contains a proposed action, available from `proposedAction()`, for the widget to either accept or ignore. If the action can be handled by the widget, you should call the `acceptProposedAction()` function. Since the proposed action can be a combination of `Qt::DropAction` values, it may be useful to either select one of these values as a default action or ask the user to select their preferred action.

If the proposed drop action is not suitable, perhaps because your custom widget does not support that action, you can replace it with any of the `possible drop actions` by calling `setDropAction()` with your preferred action. If you set a value that is not present in the bitwise OR combination of values returned by `possibleActions()`, the default copy action will be used. Once a replacement drop action has been set, call accept() instead of `acceptProposedAction()` to complete the drop operation.

The `mimeData()` function provides the data dropped on the widget in a `QMimeData` object. This contains information about the MIME type of the data in addition to the data itself.

See also:
  `QMimeData`, `QDrag`, and Drag and Drop.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.core.QEvent
`QEvent.Type`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`QDropEvent(QPoint pos, Qt.DropActions actions, QMimeData data, Qt.MouseButtons buttons, Qt.KeyboardModifiers modifiers)` Constructs a drop event of a certain `type` corresponding to a drop at the point specified by `pos` in the destination widget's coordinate system.
`QDropEvent(QPoint pos, Qt.DropActions actions, QMimeData data, Qt.MouseButtons buttons, Qt.KeyboardModifiers modifiers, QEvent.Type type)` Constructs a drop event of a certain `type` corresponding to a drop at the point specified by `pos` in the destination widget's coordinate system.

Method Summary
`void` | `acceptProposedAction()` Sets the drop action to be the proposed action.
`protected Qt.DropActions` | `act()`
`protected Qt.DropAction` | `default_action()`
`protected Qt.DropAction` | `drop_action()`
`Qt.DropAction` | `dropAction()` Returns the action to be performed on the data by the target.
`Qt.KeyboardModifiers` | `keyboardModifiers()` Returns the modifier keys that are pressed.
`protected QMimeData` | `mdata()`
`QMimeData` | `mimeData()` Returns the data that was dropped on the widget and its associated MIME type information.
`protected Qt.KeyboardModifiers` | `modState()`
`Qt.MouseButtons` | `mouseButtons()` Returns the mouse buttons that are pressed.
`protected Qt.MouseButtons` | `mouseState()`
`protected QPoint` | `p()`
`QPoint` | `pos()` Returns the position where the drop was made.
`Qt.DropActions` | `possibleActions()` Returns an OR-combination of possible drop actions.
`Qt.DropAction` | `proposedAction()` Returns the proposed drop action.
`protected void` | `setAct(Qt.DropAction[] act)`
`protected void` | `setAct(Qt.DropActions act)`
`protected void` | `setDefault_action(Qt.DropAction default_action)`
`protected void` | `setDrop_action(Qt.DropAction drop_action)`
`void` | `setDropAction(Qt.DropAction action)` Sets the `action` to be performed on the data by the target.
`protected void` | `setModState(Qt.KeyboardModifier[] modState)`
`protected void` | `setModState(Qt.KeyboardModifiers modState)`
`protected void` | `setMouseState(Qt.MouseButton[] mouseState)`
`protected void` | `setMouseState(Qt.MouseButtons mouseState)`
`protected void` | `setP(QPoint p)`
`QWidget` | `source()` If the source of the drag operation is a widget in this application, this function returns that source; otherwise it returns 0.
`java.lang.String` | `toString()` Returns a string representation of the `this QDropEvent`.

Methods inherited from class com.trolltech.qt.core.QEvent
`accept, ignore, isAccepted, registerEventType, registerEventType, setAccepted, setT, spontaneous, t, type`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QDropEvent

    public QDropEvent(QPoint pos,
                      Qt.DropActions actions,
                      QMimeData data,
                      Qt.MouseButtons buttons,
                      Qt.KeyboardModifiers modifiers)

  Constructs a drop event of a certain `type` corresponding to a drop at the point specified by `pos` in the destination widget's coordinate system.

  The `actions` indicate which types of drag and drop operation can be performed, and the drag data is stored as MIME-encoded data in `data`.

  The states of the mouse buttons and keyboard modifiers at the time of the drop are specified by `buttons` and `modifiers`.

### QDropEvent

    public QDropEvent(QPoint pos,
                      Qt.DropActions actions,
                      QMimeData data,
                      Qt.MouseButtons buttons,
                      Qt.KeyboardModifiers modifiers,
                      QEvent.Type type)

  Constructs a drop event of a certain `type` corresponding to a drop at the point specified by `pos` in the destination widget's coordinate system.

  The `actions` indicate which types of drag and drop operation can be performed, and the drag data is stored as MIME-encoded data in `data`.

  The states of the mouse buttons and keyboard modifiers at the time of the drop are specified by `buttons` and `modifiers`.

Method Detail

### acceptProposedAction

    public final void acceptProposedAction()

  Sets the drop action to be the proposed action.

See also:
  `setDropAction()`, `proposedAction()`, and `accept()`.

### dropAction

    public final Qt.DropAction dropAction()

  Returns the action to be performed on the data by the target. This may be different from the action supplied in `proposedAction()` if you have called `setDropAction()` to explicitly choose a drop action.

See also:
  `setDropAction()`.

### keyboardModifiers

    public final Qt.KeyboardModifiers keyboardModifiers()

  Returns the modifier keys that are pressed.

### mimeData

    public final QMimeData mimeData()

  Returns the data that was dropped on the widget and its associated MIME type information.

### mouseButtons

    public final Qt.MouseButtons mouseButtons()

  Returns the mouse buttons that are pressed.

### pos

    public final QPoint pos()

  Returns the position where the drop was made.

### possibleActions

    public final Qt.DropActions possibleActions()

  Returns an OR-combination of possible drop actions.

See also:
  `dropAction()`.

### proposedAction

    public final Qt.DropAction proposedAction()

  Returns the proposed drop action.

See also:
  `dropAction()`.

### setDropAction

    public final void setDropAction(Qt.DropAction action)

  Sets the `action` to be performed on the data by the target. Use this to override the `proposed action` with one of the `possible actions`.

  If you set a drop action that is not one of the possible actions, the drag and drop operation will default to a copy operation.

  Once you have supplied a replacement drop action, call accept() instead of `acceptProposedAction()`.

See also:
  `dropAction()`.

### source

    public final QWidget source()

  If the source of the drag operation is a widget in this application, this function returns that source; otherwise it returns 0. The source of the operation is the first parameter to the `QDrag` object used instantiate the drag.

  This is useful if your widget needs special behavior when dragging to itself.

See also:
  QDrag::QDrag().

### mdata

    protected final QMimeData mdata()

### setDefault_action

    protected final void setDefault_action(Qt.DropAction default_action)

### default_action

    protected final Qt.DropAction default_action()

### setModState

    protected final void setModState(Qt.KeyboardModifier[] modState)

### setModState

    protected final void setModState(Qt.KeyboardModifiers modState)

### modState

    protected final Qt.KeyboardModifiers modState()

### setMouseState

    protected final void setMouseState(Qt.MouseButton[] mouseState)

### setMouseState

    protected final void setMouseState(Qt.MouseButtons mouseState)

### mouseState

    protected final Qt.MouseButtons mouseState()

### setDrop_action

    protected final void setDrop_action(Qt.DropAction drop_action)

### drop_action

    protected final Qt.DropAction drop_action()

### setP

    protected final void setP(QPoint p)

### p

    protected final QPoint p()

### setAct

    protected final void setAct(Qt.DropAction[] act)

### setAct

    protected final void setAct(Qt.DropActions act)

### act

    protected final Qt.DropActions act()

### toString

    public java.lang.String toString()

  Returns a string representation of the `this QDropEvent`.

  Overrides:
    `toString` in class `QEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD